package org.jcg.zheng;

import static org.junit.Assert.assertEquals;

import java.util.List;
import java.util.function.Predicate;
import java.util.stream.Collectors;
import java.util.stream.Stream;

import org.junit.Test;

public class PredicateTest {

    @Test
    public void test_Predicate_Not() {

        String[] names = { "TEST", "MARY", " ", "" };

        List<String> loweCaseList = Stream.of(names).filter(Predicate.not(String::isBlank))
                .collect(Collectors.toList());
        assertEquals(2, loweCaseList.size());
    }

}
